# Method: projects.guestPolicies.patch

- [HTTP request](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies/patch#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies/patch#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies/patch#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies/patch#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies/patch#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies/patch#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies/patch#try-it)

Update an OS Config guest policy.

### HTTP request

`PATCH https://osconfig.googleapis.com/v1beta/{guestPolicy.name=projects/*/guestPolicies/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `guestPolicy.name` | `string` Required. Unique name of the resource in this project using one of the following forms: `projects/{project_number}/guestPolicies/{guestPolicyId}`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Field mask that controls which fields of the guest policy should be updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies#GuestPolicy`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/compute/docs/osconfig/rest/v1beta/projects.guestPolicies#GuestPolicy`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `osconfig.guestPolicies.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).